/* Copyright 2020 Benoit Vermont
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package app.redwarp.gif.decoder.android

import android.content.Context
import java.io.File
import java.io.FileOutputStream
import java.io.InputStream

fun InputStream.toFile(context: Context, fileName: String): File {
    val file = File(context.filesDir, fileName)
    val fileOutputStream = FileOutputStream(file)

    this.copyTo(fileOutputStream)

    fileOutputStream.close()
    return file
}
